org.apache.fontbox.ttf

## Interface GlyphDescription

All Known Implementing Classes:
  GlyfCompositeDescript, GlyfDescript, GlyfSimpleDescript

    public interface GlyphDescription

Specifies access to glyph description classes, simple and composite. This class is based on code from Apache Batik, a subproject of Apache XMLGraphics. see The Apache™ Batik Project for further details.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getContourCount()` Returns the number of contours.
`int` `getEndPtOfContours(int i)` Returns the index of the ending point of the given contour.
`byte` `getFlags(int i)` Returns the flags of the given point.
`int` `getPointCount()` Returns the number of points.
`short` `getXCoordinate(int i)` Returns the x coordinate of the given point.
`short` `getYCoordinate(int i)` Returns the y coordinate of the given point.
`boolean` `isComposite()` Returns whether this point is a composite or not.
`void` `resolve()` Resolve all parts of an composite glyph.

### Method Detail

#### getEndPtOfContours

    int getEndPtOfContours(int i)

Returns the index of the ending point of the given contour.

Parameters:
  `i` - the number of the contour
Returns:
  the index of the ending point of the given contour

#### getFlags

    byte getFlags(int i)

Returns the flags of the given point. To decode these bit flags, use the static elements of `GlyfDescript`. See also "Outline flags" in The 'glyf' table in the TrueType Reference Manual.

Parameters:
  `i` - the given point
Returns:
  the flags value for the given point

#### getXCoordinate

    short getXCoordinate(int i)

Returns the x coordinate of the given point.

Parameters:
  `i` - the given point
Returns:
  the x coordinate value for the given point

#### getYCoordinate

    short getYCoordinate(int i)

Returns the y coordinate of the given point.

Parameters:
  `i` - the given point
Returns:
  the y coordinate value for the given point

#### isComposite

    boolean isComposite()

Returns whether this point is a composite or not.

Returns:
  true if this point is a composite

#### getPointCount

    int getPointCount()

Returns the number of points.

Returns:
  the number of points

#### getContourCount

    int getContourCount()

Returns the number of contours.

Returns:
  the number of contours

#### resolve

    void resolve()

Resolve all parts of an composite glyph.